For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
            • GETList Pages
            • POSTCreate Pages
            • PUTUpdate Pages
            • DELDelete Pages
            • GETGet Page
            • PUTUpdate Page
            • DELDelete Page
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentPages

Update Pages

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/content/pages
PUT
/stores/:store_hash/v3/content/pages
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/content/pages \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "id": 42
>}'
1{
2 "data": [
3 {
4 "id": 20,
5 "channel_id": 1,
6 "name": "Powder Detergents",
7 "is_visible": false,
8 "parent_id": 0,
9 "sort_order": 1,
10 "type": "page",
11 "is_homepage": false,
12 "is_customers_only": false,
13 "meta_title": "Eco-Friendly Powder Detergents",
14 "meta_keywords": "eco,cleaning,detergent,environment",
15 "meta_description": "Eco-friendly detergents for a cleaner home",
16 "search_keywords": "detergent,eco-friendly,cleaning"
17 },
18 {
19 "id": 19,
20 "channel_id": 1,
21 "name": "Contact Us",
22 "is_visible": true,
23 "parent_id": 0,
24 "sort_order": 2,
25 "type": "contact_form",
26 "is_homepage": false,
27 "is_customers_only": false,
28 "meta_title": "Contact Our Support Team",
29 "meta_keywords": "contact,support,help,customer service",
30 "meta_description": "Get in touch with our customer support team",
31 "search_keywords": "contact,support,email,phone"
32 }
33 ],
34 "meta": {}
35}
Updates one or more content pages. This endpoint supports bulk operations.
Was this page helpful?
Previous

Create Pages

Next

Delete Pages

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify |`store_v2_content`| | Content | read-only |`store_v2_content_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

Query parameters

includelist of enumsOptional

Include the requested property in the response. The body property returns the page’s markup, text, or raw content.

Allowed values:

Request

This endpoint expects an object or a list of objects.
PagePutBulkobjectRequired
OR
list of objectsRequired

Response

Updated.
datalist of objects
metaobject
Data about the response, including pagination and collection totals.

Errors

404
Not Found Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.